import streamlit as st
from streamlit_option_menu import option_menu

# 设置Streamlit应用程序的标题
st.set_page_config(page_title="app name", layout="wide")

menu1="菜单1"
menu2="菜单2"

with st.sidebar:
    menu = option_menu("菜单", [menu1, menu2], 
        icons=['house', "list-task"], 
        menu_icon="cast", default_index=0)

def main():

    if menu == menu1:
        st.subheader(f"{menu1}")

    if menu == menu2:
        st.subheader(f"{menu2}")

if __name__ == '__main__':
    main()
